.carousel-overlay {
    min-height: 50vh;
    height: 100%;
    padding: 0.5em;
}

.carousel-overlay.overlay {
    position: fixed;
    background: #808080c4;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    padding: 2em 10%;
    z-index: 140;
}

.splide,
.splide__track,
.splide__list,
.splide__slide,
.setbg {
    height: 100%;
}



.setbg {
    background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
}

.menu {
    padding: 2em;
}

.menu-header {
    text-align: center;
}

.submenu-title {
    margin: 2em 0;
    display: flex
    ;
}

.submenu-title > h5 {
    margin: 0 1em;
    min-width: max-content;
}

.submenu-title::before, .submenu-title::after {
	content: '';
	display: block;
	width: 50%;
	height: 0;
	margin: auto;
	border: 1px lightgray solid;
}

.menu-filters {
    display: flex;
    justify-content: center;
    margin-bottom: 4em;
}

.menu-filters ul {
    list-style: none;
    display: flex;
    gap: 0.5em;
    flex-wrap: wrap;
    justify-content: center;
}

.menu-filters ul li {
    text-align: center;
    padding: 0 3px;
    cursor: pointer;
    user-select: none;
    border-bottom: 2px solid gray;
}

.menu-filters ul li.selected {
    border-bottom: 2px solid #dfa974;
}

.menu-header > h3,
.submenu-title > h5,
.menu-item .name,
.menu-filters ul li {
	color: #b55a00;
}

.menu-item .name:hover,
.menu-filters ul li:hover {
	color: #887408;;
}

.menu-items {
    display: flex;
    flex-wrap: wrap;
    max-width: 100%;
}

.menu-item {
    min-height: 6em;
    font-size: 1.3em;
    visibility: visible;
    opacity: 1;
}

.menu-item:not(:has(.ingredients)) {
    min-height: unset;
    max-height: 6em;
}

.menu-item.hidden {
    visibility: collapse;
    display: none;
    opacity: 0;
}

.menu-item.animate {
    animation: slideInFromBottom 500ms ease-in-out;
}

.item-info-container {
    display: flex;
}

.item-info-container span {
	margin: auto 0;
}

.menu-item .name {
    flex-grow: 0;
    max-width: 60%;
}

.menu-item .seperator {
    border-bottom: 3px dotted gray;
    flex-grow: 1;
    margin: auto 0.7em;
}

.menu-item .price {
    flex-grow: 0;
}

.menu-item .ingredients p i {
    font-size: 1.1em;
    line-height: unset;
}


@keyframes slideInFromBottom {
    from {
        transform: translateY(300px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@media only screen and (max-width: 767px) {
    .carousel-overlay.overlay {
        padding: 10% 0 0 0;
    }

    .submenu-title > h5 {
        min-width: unset;
    }
}
